Arch: Rebar Stirrup

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Rebar Stirrup and the translation is 20% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar BentShape.svg Bent Shape Rebar Anteriorul:
Urmeaza: Helical Rebar Arch Rebar Helical.svg Arrow-right.svg

Official icon not found Arch Rebar Stirrup

poziția meniului
Arch → Rebar tools
Workbenches
Arch, BIM
scurtătură
nici unul
Prezentat în versiune
0.17
A se vedea, de asemenea,
Helical Rebar, Rebar


Descriere

Instrumentul Arch Rebar Stirrup.png Stirrup Rebar permite utilizatorului să creeze un

stirrup reinforcing bar în elementul de structură.

The Stirrup Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the AddonManager.svg Addon Manager via the Tools → Addon manager → Reinforcement menu.

Arch Rebar Stirrup example.png

Stirrup.png

Cum se folosește

  1. Creează un element structure
  2. Select any face of the structure
  3. Then select Arch Rebar Stirrup.png Stirrup Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below StirrupDialog.png
  5. Select the desired orientation
  6. Give the inputs like left cover, right cover, top cover, bottom, front cover, bent angle, bent factor, rounding and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click pe Cancel ieșirea din task panel
StirrupDialog.png

Taskview panel for the Arch Rebar Stirrup tool


Proprietăți

  • DataFront Cover: Distanța dintre armături și fațetele selectate.
  • DataRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DataLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DataBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DataTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DataBent Angle: Bent angle defines the angle at the ends of a stirrup.
  • DataBent Factor: Bent Factor defines length of stirrup end.
  • DataAmount: Cantitatea de armătură
  • DataSpacing: Distanța dintre acele fiecărei bare.

Scrip-Programare

Instrumentul Arch Rebar Stirrup.png Stirrup Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcției:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Adds a Stirrup reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Exemplu: Crearea unei armături tip Stirrup rebar.

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Schimbarea proprietăților barei Stirrup.

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar is a previously created StirrupRebar object.
  • The other parameters are the same as required by the makeStirrup() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)
Arrow-left.svg Arch Rebar BentShape.svg Bent Shape Rebar Anteriorul:
Urmeaza: Helical Rebar Arch Rebar Helical.svg Arrow-right.svg